# IOUtils (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.common
Class IOUtils

    java.lang.Object
      net.schmizz.sshj.common.IOUtils

    public class IOUtils

extends Object

Field Summary
`static Charset` `UTF8`

Constructor Summary
`IOUtils()`

Method Summary
`static void` `closeQuietly(Closeable... closeables)`
`static ByteArrayOutputStream` `readFully(InputStream stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UTF8

    public static final Charset UTF8

Constructor Detail

### IOUtils

    public IOUtils()

Method Detail

### closeQuietly

    public static void closeQuietly(Closeable... closeables)

### readFully

    public static ByteArrayOutputStream readFully(InputStream stream)
                                           throws IOException

  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.